Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
frsrpc Interface Reference

## Classes
struct | frsrpc_CommPktChangeOrderCommand
struct | frsrpc_CommPktChangeOrderRecordExtension
struct | frsrpc_CommPktChunkGuidName
struct | frsrpc_CommPktCoRecordExtensionWin2k
struct | frsrpc_CommPktDataExtensionRetryTimeout
struct | frsrpc_CommPktGSVN
struct | frsrpc_FrsSendCommPktReq

## Public Types
enum | frsrpc_CommPktCoCmdStatus { FRSRPC_CO_STATUS_CO_ENTERED_LOG = 0x00000000, FRSRPC_CO_STATUS_ALLOC_STAGING_LOCAL_CO = 0x00000001, FRSRPC_CO_STATUS_LOCAL_CO_STAGING_STARTED = 0x00000002, FRSRPC_CO_STATUS_LOCAL_CO_STAGING_COMPLETED = 0x00000003, FRSRPC_CO_STATUS_WAIT_RETRY_LOCAL_CO_STAGING = 0x00000004, FRSRPC_CO_STATUS_ALLOC_STAGING_REMOTE_CO = 0x00000005, FRSRPC_CO_STATUS_REMOTE_CO_STAGING_STARTED = 0x00000006, FRSRPC_CO_STATUS_REMOTE_CO_STAGING_COMPLETED = 0x00000007, FRSRPC_CO_STATUS_WAIT_RETRY_REMOTE_CO_STAGING = 0x00000008, FRSRPC_CO_STATUS_FILE_INSTALL_REQUESTED = 0x00000009, FRSRPC_CO_STATUS_FILE_INSTALL_STARTED = 0x0000000A, FRSRPC_CO_STATUS_FILE_INSTALL_COMPLETED = 0x0000000B, FRSRPC_CO_STATUS_FILE_INSTALL_WAIT_RETRY = 0x0000000C, FRSRPC_CO_STATUS_FILE_INSTALL_RETRYING = 0x0000000D, FRSRPC_CO_STATUS_FILE_INSTALL_RENAME_RETRYING = 0x0000000E, FRSRPC_CO_STATUS_FILE_INSTALL_DELETE_RETRYING = 0x0000000F, FRSRPC_CO_STATUS_CO_RECYCLED_FOR_ENUM = 0x00000013, FRSRPC_CO_STATUS_REQUEST_OUTBOUND_PROPAGATION = 0x00000014, FRSRPC_CO_STATUS_REQUEST_ACCEPTED_OUTBOUND_LOG = 0x00000015, FRSRPC_CO_STATUS_DB_STATE_UPDATE_STARTED = 0x00000016, FRSRPC_CO_STATUS_DB_STATE_UPDATE_COMPLETED = 0x00000017, FRSRPC_CO_STATUS_CO_ABORTED = 0x00000018 }
enum | frsrpc_CommPktCoCmdLocationCmd { FRSRPC_CO_LOCATION_FILE_CREATE = 0x00000000, FRSRPC_CO_LOCATION_DIR_CREATE = 0x00000000 | 0x00000001, FRSRPC_CO_LOCATION_FILE_DELETE = 0x00000002, FRSRPC_CO_LOCATION_DIR_DELETE = 0x00000002 | 0x00000001, FRSRPC_CO_LOCATION_FILE_MOVEIN = 0x00000004, FRSRPC_CO_LOCATION_DIR_MOVEIN = 0x00000004 | 0x00000001, FRSRPC_CO_LOCATION_FILE_MOVEIN2 = 0x00000006, FRSRPC_CO_LOCATION_DIR_MOVEIN2 = 0x00000006 | 0x00000001, FRSRPC_CO_LOCATION_FILE_MOVEOUT = 0x00000008, FRSRPC_CO_LOCATION_DIR_MOVEOUT = 0x00000008 | 0x00000001, FRSRPC_CO_LOCATION_FILE_MOVERS = 0x0000000a, FRSRPC_CO_LOCATION_DIR_MOVERS = 0x0000000a | 0x00000001, FRSRPC_CO_LOCATION_FILE_MOVEDIR = 0x0000000c, FRSRPC_CO_LOCATION_DIR_MOVEDIR = 0x0000000c | 0x00000001, FRSRPC_CO_LOCATION_FILE_NO_CMD = 0x0000000e, FRSRPC_CO_LOCATION_DIR_NO_CMD = 0x0000000e | 0x00000001 }
enum | frsrpc_CommPktDataExtensionType { FRSRPC_DATA_EXTENSION_TERMINATOR = 0x00000000, FRSRPC_DATA_EXTENSION_MD5_CHECKSUM = 0x00000001, FRSRPC_DATA_EXTENSION_RETRY_TIMEOUT = 0x00000002 }
enum | frsrpc_CommPktCoRecordExtensionMajor { FRSRPC_CO_RECORD_EXTENSION_VERSION_WIN2K = 0x0000, FRSRPC_CO_RECORD_EXTENSION_VERSION_1 = 0x0001 }
enum | frsrpc_CommPktCommand { FRSRPC_COMMAND_REMOTE_CO = 0x00000218, FRSRPC_COMMAND_RECEIVING_STATE = 0x00000238, FRSRPC_COMMAND_REMOTE_CO_DONE = 0x00000250, FRSRPC_COMMAND_ABORT_FETCH = 0x00000246, FRSRPC_COMMAND_RETRY_FETCH = 0x00000244, FRSRPC_COMMAND_NEED_JOIN = 0x00000121, FRSRPC_COMMAND_START_JOIN = 0x00000122, FRSRPC_COMMAND_JOINING = 0x00000130, FRSRPC_COMMAND_JOINED = 0x00000128, FRSRPC_COMMAND_UNJOIN_REMOTE = 0x00000148, FRSRPC_COMMAND_WJOIN_DONE = 0x00000136, FRSRPC_COMMAND_SEND_STAGE = 0x00000228 }
enum | frsrpc_CommPktChunkType { FRSRPC_COMM_PKT_CHUNK_BOP = 0x0001, FRSRPC_COMM_PKT_CHUNK_COMMAND = 0x0002, FRSRPC_COMM_PKT_CHUNK_TO = 0x0003, FRSRPC_COMM_PKT_CHUNK_FROM = 0x0004, FRSRPC_COMM_PKT_CHUNK_REPLICA = 0x0005, FRSRPC_COMM_PKT_CHUNK_CONNECTION = 0x0008, FRSRPC_COMM_PKT_CHUNK_JOIN_GUID = 0x0006, FRSRPC_COMM_PKT_CHUNK_LAST_JOIN_TIME = 0x0012, FRSRPC_COMM_PKT_CHUNK_VVECTOR = 0x0007, FRSRPC_COMM_PKT_CHUNK_JOIN_TIME = 0x0011, FRSRPC_COMM_PKT_CHUNK_REPLICA_VERSION_GUID = 0x0014, FRSRPC_COMM_PKT_CHUNK_COMPRESSION_GUID = 0x0018, FRSRPC_COMM_PKT_CHUNK_BLOCK = 0x0009, FRSRPC_COMM_PKT_CHUNK_BLOCK_SIZE = 0x000A, FRSRPC_COMM_PKT_CHUNK_FILE_SIZE = 0x000B, FRSRPC_COMM_PKT_CHUNK_FILE_OFFSET = 0x000C, FRSRPC_COMM_PKT_CHUNK_GVSN = 0x000E, FRSRPC_COMM_PKT_CHUNK_CO_GUID = 0x000F, FRSRPC_COMM_PKT_CHUNK_CO_SEQUENCE_NUMBER = 0x0010, FRSRPC_COMM_PKT_CHUNK_REMOTE_CO = 0x000D, FRSRPC_COMM_PKT_CHUNK_CO_EXT_WIN2K = 0x0016, FRSRPC_COMM_PKT_CHUNK_CO_EXTENTION_2 = 0x0017, FRSRPC_COMM_PKT_CHUNK_EOP = 0x0013 }
enum | frsrpc_CommPktMajor { FRSRPC_COMM_PKT_MAJOR_0 = 0x00000000 }
enum | frsrpc_CommPktMinor { FRSRPC_COMM_PKT_MINOR_0 = 0x00000000, FRSRPC_COMM_PKT_MINOR_1 = 0x00000001, FRSRPC_COMM_PKT_MINOR_2 = 0x00000002, FRSRPC_COMM_PKT_MINOR_3 = 0x00000003, FRSRPC_COMM_PKT_MINOR_4 = 0x00000004, FRSRPC_COMM_PKT_MINOR_5 = 0x00000005, FRSRPC_COMM_PKT_MINOR_6 = 0x00000006, FRSRPC_COMM_PKT_MINOR_7 = 0x00000007, FRSRPC_COMM_PKT_MINOR_8 = 0x00000008, FRSRPC_COMM_PKT_MINOR_9 = 0x00000009 }
enum | frsrpc_PartnerAuthLevel { FRSRPC_PARENT_AUTH_LEVEL_ENCRYPTED_KERBEROS = 0x00000000, FRSRPC_PARENT_AUTH_LEVEL_NO_AUTHENTICATION = 0x00000001 }
struct {
uint32 prefix_size
frsrpc_CommPktDataExtensionType prefix_type
uint8 data [16]
} | frsrpc_CommPktDataExtensionChecksum
union {
DATA_BLOB blob
uint32 bop
frsrpc_CommPktCommand command
frsrpc_CommPktChunkGuidName to
frsrpc_CommPktChunkGuidName from
frsrpc_CommPktChunkGuidName replica
frsrpc_CommPktChunkGuidName connection
GUID join_guid
NTTIME last_join_time
frsrpc_CommPktGSVN vvector
NTTIME join_time
GUID replica_version_guid
GUID compression_guid
DATA_BLOB block
hyper block_size
hyper file_size
hyper file_offset
frsrpc_CommPktGSVN gvsn
GUID co_guid
uint32 co_sequnence_number
frsrpc_CommPktChangeOrderCommand remote_co
frsrpc_CommPktCoRecordExtensionWin2k co_ext_win2k
frsrpc_CommPktChangeOrderRecordExtension co_extension2
uint32 bopend
} | frsrpc_CommPktChunkData
struct {
frsrpc_CommPktChunkType type
frsrpc_CommPktChunkData data
} | frsrpc_CommPktChunk
struct {
uint32 num_chunks
frsrpc_CommPktChunk chunks [num_chunks]
} | frsrpc_CommPktChunkCtr

## Public Member Functions
WERROR | frsrpc_FrsSendCommPkt ([in] frsrpc_FrsSendCommPktReq req)
WERROR | frsrpc_FrsVerifyPromotionParent ([in, unique, string, charset(UTF16)] uint16 *parent_account, [in, unique, string, charset(UTF16)] uint16 *parent_password, [in, unique, string, charset(UTF16)] uint16 *replica_set_name, [in, unique, string, charset(UTF16)] uint16 *replica_set_type, [in] frsrpc_PartnerAuthLevel partner_auth_level, [in] uint32 __ndr_guid_size)
WERROR | frsrpc_FrsStartPromotionParent ([in, unique, string, charset(UTF16)] uint16 *parent_account, [in, unique, string, charset(UTF16)] uint16 *parent_password, [in, unique, string, charset(UTF16)] uint16 *replica_set_name, [in, unique, string, charset(UTF16)] uint16 *replica_set_type, [in, unique, string, charset(UTF16)] uint16 *connection_name, [in, unique, string, charset(UTF16)] uint16 *partner_name, [in, unique, string, charset(UTF16)] uint16 *partner_princ_name, [in] frsrpc_PartnerAuthLevel partner_auth_level, [in, value(16), range(16, 16)] uint32 __ndr_guid_size, [in, unique, subcontext(4), subcontext_size(16)] GUID *connection_guid, [in, unique, subcontext(4), subcontext_size(16)] GUID *partner_guid, [in, out, unique, subcontext(4), subcontext_size(16)] GUID *parent_guid)
WERROR | frsrpc_FrsNOP ()
void | FRSRPC_BACKUP_COMPLETE ()
void | FRSRPC_BACKUP_COMPLETE_5 ()
void | FRSRPC_BACKUP_COMPLETE_6 ()
void | FRSRPC_BACKUP_COMPLETE_7 ()
void | FRSRPC_BACKUP_COMPLETE_8 ()
void | FRSRPC_BACKUP_COMPLETE_9 ()
void | FRSRPC_VERIFY_PROMOTION_PARENT_EX ()

## Public Attributes
typedef | bitmap
const uint32 | FRSRPC_CO_IFLAG_NONE = 0x0000000

## Member Data Documentation

typedef frsrpc::bitmap

Initial value:
{
FRSRPC_CO_FLAG_ABORT_CO = 0x00000001,
FRSRPC_CO_FLAG_VV_ACTIVATED = 0x00000002,
FRSRPC_CO_FLAG_CONTENT_CMD = 0x00000004,
FRSRPC_CO_FLAG_LOCATION_CMD = 0x00000008,
FRSRPC_CO_FLAG_ONLIST = 0x00000010,
FRSRPC_CO_FLAG_LOCALCO = 0x00000020,
FRSRPC_CO_FLAG_RETRY = 0x00000040,
FRSRPC_CO_FLAG_OUT_OF_ORDER = 0x00000200,
FRSRPC_CO_FLAG_NEW_FILE = 0x00000400,
FRSRPC_CO_FLAG_CONTROL = 0x00001000,
FRSRPC_CO_FLAG_DIRECTED_CO = 0x00002000,
FRSRPC_CO_FLAG_VVJOIN_TO_ORIG = 0x00040000,
FRSRPC_CO_FLAG_SKIP_ORIG_REC_C = 0x00100000,
FRSRPC_CO_FLAG_MOVEIN_GEN = 0x00200000,
FRSRPC_CO_FLAG_MORPH_GEN_HEAD = 0x00400000,
FRSRPC_CO_FLAG_JUST_OID_RESET = 0x00800000,
FRSRPC_CO_FLAG_COMPRESSED_STAGE = 0x01000000,
FRSRPC_CO_FLAG_SKIP_VV_UPDATE = 0x02000000
} frsrpc_CommPktCoCmdFlags

The documentation for this interface was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/pidl/frsrpc/frsrpc.idl